Create reverse private endpoint
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Create a new reverse private endpoint.
curl --request POST \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "My reverse private endpoint",
"type": "VPC_ENDPOINT_SERVICE",
"vpcEndpointServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567",
"vpcResourceConfigurationId": "rcfg-12345678901234567",
"vpcResourceShareArn": "arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567",
"mskClusterArn": "arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster",
"mskAuthentication": "SASL_IAM"
}
'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints"
payload = {
"description": "My reverse private endpoint",
"type": "VPC_ENDPOINT_SERVICE",
"vpcEndpointServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567",
"vpcResourceConfigurationId": "rcfg-12345678901234567",
"vpcResourceShareArn": "arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567",
"mskClusterArn": "arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster",
"mskAuthentication": "SASL_IAM"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'My reverse private endpoint',
type: 'VPC_ENDPOINT_SERVICE',
vpcEndpointServiceName: 'com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567',
vpcResourceConfigurationId: 'rcfg-12345678901234567',
vpcResourceShareArn: 'arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567',
mskClusterArn: 'arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster',
mskAuthentication: 'SASL_IAM'
})
};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipesReversePrivateEndpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"result": {
"description": "My reverse private endpoint",
"type": "VPC_ENDPOINT_SERVICE",
"vpcEndpointServiceName": "com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567",
"vpcResourceConfigurationId": "rcfg-12345678901234567",
"vpcResourceShareArn": "arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567",
"mskClusterArn": "arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster",
"mskAuthentication": "SASL_IAM",
"id": "12345678-1234-1234-1234-123456789012",
"serviceId": "12345678-1234-1234-1234-123456789012",
"endpointId": "vpce-12345678901234567",
"dnsNames": [
"<string>"
],
"privateDnsNames": [
"<string>"
],
"status": "Ready"
}
}{
"status": 400,
"error": "<string>"
}Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the service.
ID of the service that owns the Reverse Private Endpoint.
Body
Reverse private endpoint description. Maximum length is 255 characters.
"My reverse private endpoint"
Reverse private endpoint type.
VPC_ENDPOINT_SERVICE, VPC_RESOURCE, MSK_MULTI_VPC "VPC_ENDPOINT_SERVICE"
VPC endpoint service name.
"com.amazonaws.vpce.us-east-1.vpce-svc-12345678901234567"
VPC resource configuration ID. Required for VPC_RESOURCE type.
"rcfg-12345678901234567"
VPC resource share ARN. Required for VPC_RESOURCE type.
"arn:aws:ram:us-east-1:123456789012:resource-share/share-12345678901234567"
MSK cluster ARN. Required for MSK_MULTI_VPC type.
"arn:aws:kafka:us-east-1:123456789012:cluster/my-cluster"
MSK cluster authentication type. Required for MSK_MULTI_VPC type.
SASL_IAM, SASL_SCRAM "SASL_IAM"
Was this page helpful?
